List WhatsApp setup links
Returns setup links newest first, by namespace and status when named. Request: GET /v1/whatsapp/setup-links. Scope: whatsappAccounts:read.
GET
Returns setup links newest first, by namespace and status when named.
apiKeyheader
x-api-key<token>limit?|nullcursor?stringnamespaceId?stringMatch
^ns_[0-9a-hjkmnp-tv-z]{16,24}$status?stringValue in
"pending""completed""revoked""expired"WhatsAppSetupLinkPage
application/json- response
items*array<>nextCursor*string|nullimport { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.whatsappSetupLinks.list({});Example Response
{
"items": [
{
"id": "string",
"organizationId": "string",
"namespaceId": "string",
"status": "pending",
"redirectUrl": "string",
"metadata": {
"property1": "string",
"property2": "string"
},
"expiresAt": "string",
"businessAccountId": "string",
"completedAt": "string",
"revokedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
],
"nextCursor": "string"
}